Package ghidra.util.table

# Class SelectionNavigationAction

java.lang.Object
docking.action.DockingAction
docking.action.ToggleDockingAction
ghidra.util.table.AbstractSelectionNavigationAction
ghidra.util.table.SelectionNavigationAction

All Implemented Interfaces:
  `DockingActionIf`, `ToggleDockingActionIf`, `HelpDescriptor`

public class SelectionNavigationAction extends AbstractSelectionNavigationAction
This action is used by `GhidraTable`s to allow the user to trigger navigation when selections are made.

This class will save the state of the action when the tool is saved.

See Also:
  - `AbstractSelectionNavigationAction`

- ## Field Summary

  ### Fields inherited from class ghidra.util.table.AbstractSelectionNavigationAction

  `table`

  ### Fields inherited from interface docking.action.DockingActionIf

  `DESCRIPTION_PROPERTY, ENABLEMENT_PROPERTY, GLOBALCONTEXT_PROPERTY, KEYBINDING_DATA_PROPERTY, MENUBAR_DATA_PROPERTY, POPUP_MENU_DATA_PROPERTY, TOOLBAR_DATA_PROPERTY`

  ### Fields inherited from interface docking.action.ToggleDockingActionIf

  `SELECTED_STATE_PROPERTY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SelectionNavigationAction(Plugin plugin, GhidraTable table)`
  Constructor that relies on an instance of `GhidraTable` to do the work of navigation.
  `SelectionNavigationAction(String owner, GhidraTable table)`
  Constructor that relies on an instance of `GhidraTable` to do the work of navigation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `navigate()`
  Users of this class will implement this method to know when to use their table to perform navigation tasks in their own way.
  `protected void`
  `toggleSelectionListening(boolean listen)`

  ### Methods inherited from class ghidra.util.table.AbstractSelectionNavigationAction

  `restoreState, saveState, setEnabled, setSelected`

  ### Methods inherited from class docking.action.ToggleDockingAction

  `actionPerformed, doCreateButton, doCreateMenuItem, isSelected`

  ### Methods inherited from class docking.action.DockingAction

  `addPropertyChangeListener, addToWindowWhen, createButton, createMenuItem, dispose, enabledWhen, firePropertyChanged, getContextClass, getDefaultKeyBindingData, getDescription, getFullName, getHelpInfo, getHelpLocation, getHelpObject, getInceptionFromTheFirstClassThatIsNotUsOrABuilder, getInceptionInformation, getKeyBinding, getKeyBindingData, getKeyBindingType, getMenuBarData, getName, getOwner, getPopupMenuData, getPreferredKeyBindingType, getToolBarData, isAddToPopup, isEnabled, isEnabledForContext, isValidContext, markHelpUnnecessary, popupWhen, removePropertyChangeListener, setAddToAllWindows, setContextClass, setDefaultKeyBindingData, setDescription, setHelpLocation, setKeyBindingData, setMenuBarData, setPopupMenuData, setToolBarData, setUnvalidatedKeyBindingData, shouldAddToWindow, supportsDefaultContext, toString, validContextWhen`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface docking.action.DockingActionIf

  `addPropertyChangeListener, createButton, createMenuComponent, createMenuItem, dispose, getContextClass, getDefaultKeyBindingData, getDescription, getFullName, getInceptionInformation, getKeyBinding, getKeyBindingData, getKeyBindingType, getMenuBarData, getName, getOwner, getOwnerDescription, getPopupMenuData, getToolBarData, isAddToPopup, isEnabled, isEnabledForContext, isValidContext, removePropertyChangeListener, setContextClass, setKeyBindingData, setUnvalidatedKeyBindingData, shouldAddToWindow, supportsDefaultContext`

  ### Methods inherited from interface help.HelpDescriptor

  `getHelpInfo, getHelpObject`

- ## Constructor Details

  - ### SelectionNavigationAction

    public SelectionNavigationAction(Plugin plugin, GhidraTable table)
    Constructor that relies on an instance of `GhidraTable` to do the work of navigation. Clients that have `JTable`s that are not instances of `GhidraTable` can use the super class action and define its `navigate()` callback method.
    Parameters:
      `plugin` - The owner plugin
      `table` - The `GhidraTable` which this action works with
    See Also:
      - `AbstractSelectionNavigationAction`

  - ### SelectionNavigationAction

    public SelectionNavigationAction(String owner, GhidraTable table)
    Constructor that relies on an instance of `GhidraTable` to do the work of navigation. Clients that have `JTable`s that are not instances of `GhidraTable` can use the super class action and define its `navigate()` callback method.
    Parameters:
      `owner` - The owner name
      `table` - The `GhidraTable` which this action works with
    See Also:
      - `AbstractSelectionNavigationAction`

- ## Method Details

  - ### toggleSelectionListening

    protected void toggleSelectionListening(boolean listen)
    Overrides:
      `toggleSelectionListening` in class `AbstractSelectionNavigationAction`

  - ### navigate

    public void navigate()
    Description copied from class: `AbstractSelectionNavigationAction`
    Users of this class will implement this method to know when to use their table to perform navigation tasks in their own way.
    Specified by:
      `navigate` in class `AbstractSelectionNavigationAction`